Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.thread
Class WakeupManager.ThreadDesc

    java.lang.Object
      com.sun.jini.thread.WakeupManager.ThreadDesc

Enclosing class:
  WakeupManager

public static class WakeupManager.ThreadDesc
extends Object

Description of a future thread.

See Also:
  `WakeupManager.schedule(long, java.lang.Runnable)`, `WakeupManager.WakeupManager(WakeupManager.ThreadDesc)`

Constructor Summary
`WakeupManager.ThreadDesc()` Equivalent to ThreadDesc(null, false)
`WakeupManager.ThreadDesc(ThreadGroup group, boolean daemon)` Equivalent to ThreadDesc(group, deamon, Thread.NORM_PRIORITY)
`WakeupManager.ThreadDesc(ThreadGroup group, boolean daemon, int priority)` Describe a future thread that will be created in the given group, deamon status, and priority.

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WakeupManager.ThreadDesc

    public WakeupManager.ThreadDesc()

  Equivalent to

           ThreadDesc(null, false)

### WakeupManager.ThreadDesc

    public WakeupManager.ThreadDesc(ThreadGroup group,
                                    boolean daemon)

  Equivalent to

           ThreadDesc(group, deamon, Thread.NORM_PRIORITY)

### WakeupManager.ThreadDesc

    public WakeupManager.ThreadDesc(ThreadGroup group,
                                    boolean daemon,
                                    int priority)

  Describe a future thread that will be created in the given group, deamon status, and priority.

Parameters:
  `group` - The group to be created in. If `null`, the thread will be created in the default group.
  `daemon` - The thread will be a daemon thread if this is `true`.
  `priority` - The thread's priority.

Method Detail

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved